%define oname eom

Name:          mate-image-viewer
Version:       1.20.0
Release:       %mkrel 1
Summary:       Eye of MATE image viewer
Group:	       Graphical desktop/Mate
License:       GPLv2+ and LGPLv2+ 
URL:           http://mate-desktop.org 
Source0:       http://pub.mate-desktop.org/releases/1.12/%{oname}-%{version}.tar.xz
#--------------------------------------------
BuildRequires: libxml2-utils
BuildRequires: intltool
BuildRequires: desktop-file-utils
BuildRequires: mate-common
BuildRequires: mate-desktop-devel
BuildRequires: pygtk2.0-devel
BuildRequires: python-gobject-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}exempi3-devel
BuildRequires: %{_lib}exif12-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}lcms-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}python-devel
BuildRequires: %{_lib}rsvg2-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}peas-devel
#--------------------------------------------
Requires:      gsettings-desktop-schemas     
#--------------------------------------------


%description
This is the Eye of MATE, an image viewer program.  It is meant to be
a fast and functional image viewer.

Eye of MATE is a fork of Eye of GNOME.

%package devel
Summary:  Support for developing plugins for the eom image viewer
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}


%description devel
The Eye of MATE image viewer (eom) is the official image viewer for the
MATE desktop. This package allows you to develop plugins that add new
functionality to eog.

%prep
%setup -qn %oname-%version

%build
%configure2_5x --with-gtk=3.0

%make

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -type f -name "*.a" -exec rm -f {} ';'

%find_lang eom --with-gnome

# save space by linking identical images in translated docs
helpdir=$RPM_BUILD_ROOT%{_datadir}/mate/help/%{name}
for f in $helpdir/C/figures/*.png; do
  b="$(basename $f)"
  for d in $helpdir/*; do
    if [ -d "$d" -a "$d" != "$helpdir/C" ]; then
      g="$d/figures/$b"
      if [ -f "$g" ]; then
        if cmp -s $f $g; then
          rm "$g"; ln -s "../../C/figures/$b" "$g"
        fi
      fi
    fi
  done
done


%post
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ]; then
  /bin/touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
  /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
  /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f eom.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/eom
%{_libdir}/eom/plugins
%{_datadir}/applications/eom.desktop
%{_datadir}/icons/hicolor/*/apps/eom.*
%{_datadir}/glib-2.0/schemas/org.mate.eom.gschema.xml
%{_datadir}/man
%{_datadir}/gtk-doc
%{_datadir}/help
%{_datadir}/eom
%{_libdir}/girepository-1.0/Eom-1.0.typelib
%{_datadir}/appdata/eom.appdata.xml
%{_datadir}/glib-2.0/schemas/org.mate.eom.enums.xml


%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/eom.pc
%{_includedir}/eom-2.20
%{_datadir}/gir-1.0/Eom-1.0.gir

%clean
rm -rf  %{buildroot}


%changelog
* Sat Feb 17 2018 bb2 <bb2> - 1.20.0-1pclos2018
- new version

* Wed Nov 08 2017 bb2 <bb2> - 1.18.3-1pclos2017
- new version

* Wed Sep 13 2017 bb2 <bb2> - 1.18.2-2pclos2017
- rebuild against updates

* Mon May 08 2017 bb2 <bb2> - 1.18.2-1pclos2017
- new version

* Thu Apr 06 2017 bb2 <bb2> - 1.18.1-1pclos2017
- new version

* Tue Mar 14 2017 bb2 <bb2> - 1.18.0-1pclos2017
- new version

* Mon Feb 06 2017 bb <bb> - 1.16.1-2pclos2017
- rebuild without gtk2 devel installed

* Mon Feb 06 2017 bb <bb> - 1.16.1-1pclos2017
- new version

* Mon Sep 26 2016 bb <bb> 1.16.0-2pclos2016
- rebuild with gtk3 devel only

* Wed Sep 21 2016 bb <bb> 1.16.0-1pclos2016
- update

* Mon Aug 15 2016 bb <bb> 1.14.2-1pclos2016
- update

